using Mall.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mall.Common.Enum.User
{
    /// <summary>
    /// 分销商提现方式枚举
    /// </summary>
    public enum DistrbutorWithdrawWayEnum
    {
        /// <summary>
        /// 自动打款
        /// </summary>
        [EnumField("自动打款")]
        ZDDK = 1,
        /// <summary>
        /// 微信线下转账
        /// </summary>
        [EnumField("微信线下转账")]
        WXZZ = 2,
        /// <summary>
        /// 支付宝线下转账
        /// </summary>
        [EnumField("支付宝线下转账")]
        ZFBZZ = 3,
        /// <summary>
        /// 银行卡线下转账
        /// </summary>
        [EnumField("银行卡线下转账")]
        YYKZZ = 4,
        /// <summary>
        /// 余额提现
        /// </summary>
        [EnumField("余额提现")]
        YETX = 5,
    }
}
